$cred = "XYZ" #Skift XYZ ud med din token, se artiklen for hvordan

$headers = @{ "Authorization" = "Bearer $cred" }

$resultat = Invoke-WebRequest  -Method POST -Headers $headers -ContentType: "application/json; charset=utf-8" -InFile request.json -Uri "https://texttospeech.googleapis.com/v1/text:synthesize" | Select-Object -Expand Content 
# Hvis du skal bruge en proxy kan du putte -Proxy  "http://adresse:port" efter Invoke-WebRequest 
 
$lydFil = $resultat | ConvertFrom-Json  #Konverter til json så vi kan trække data ud

$lydfil.audioContent | Out-File -FilePath "./resultat.txt" -Encoding ascii -Force # Gem json lyd indholdet som en fil vi kan konvertere

certutil -decode "resultat.txt" $args[0] #Gemmer resultatet som en mp3 fil med navnet fra første kommandolinie parameter, resultat.txt er bare et tekst resultat der skal konverteret til en mp3 fil
